|
本帖最后由 fl202 于 2018-2-8 15:53 编辑
cad下看文章,工作之余放松下也好嘛。
本程序要求输入一个起始行数,方便快速到你读文章的地方,下次再读的时候接着上次的地方读,按exit或者ESC退出,退出的时候会多打几个空命令行,这样别人就看不见命令行的小说内容了。使用命令rd1,读下一行的时候按空格或者回车即可。
程序如下:
(defun c:rd1 ( / ff1 fn i txt1 et )
(setq ff1 (getfiled "选择TXT文件" "" "txt" 2))
(setq olderr *error* *error* dragon)
(setq cn nil fn (open ff1 "r"))
(if (= cn nil)
(setq cn (getint "\n 确定起始行数:")) )
(repeat cn
(read-line fn)
)
(setq et "111" txt1 nil txt1 (read-line fn)) (princ txt1) (print)
(while (/= et "exit")
(setq txt1 (read-line fn))
(setq cn (1+ cn))
(if (and (/= txt1 "") (/= txt1 nil))
(progn
(princ txt1) (print) )
(progn
(setq cn (1+ cn))
(setq txt1 (read-line fn))
(princ txt1) (print)
));end if
(setq et (getstring ""))
);end while
(repeat 6 (princ "\n命令: ") )
(princ "\n行数: ") (princ cn)
(princ "\n命令: ")
(setq *error* olderr)
(princ)
)
(defun dragon (st)
(repeat 6 (princ "\n命令: ") )
(princ "\n行数: ") (princ cn)
(princ "\n命令: ")
(setq cn (1+ cn))
(setq *error* olderr)
(princ)
)
|
评分
-
查看全部评分
|